Проблемы с началом работы с Ionic OSX

У меня проблема, когда она начинается с ионного в Mac. Я объясню шаги, которые я предпринял, и ошибки, которые я нашел, чтобы узнать, может ли кто-нибудь помочь мне.

Я установил node.js с этого сайта: nodejs.org

В этой связи я выполнил следующие команды:

  1. $ sudo npm install -g cordova ionic cordova
  2. $ ionic start myApp tabs
  3. $ ionic serve

И с этим последним заказом я вижу, как работает приложение. но если я попытаюсь это сделать:

$ sudo ionic platform add ios

Я получаю эту ошибку:

Но, это версии программ, которые я использую:

  • кордова - 3.6.3-0.2.13
  • Ionic - 1.2.7 Xcode - 6.0.1 (6A317)
  • XAMPP - 1.8.3-3

Кто-то может помочь мне решить мою проблему?

Заранее спасибо.

1 ответ

В сообщении об ошибке говорится о проблеме: "Кордова может работать только в Xcode версии 4.6 или выше".

Вам необходимо установить Xcode и инструменты командной строки Xcode. Загрузите Xcode из AppStore и запустите эту команду в терминале, чтобы получить инструменты командной строки.

xcode-select --install

Также не используйте sudo с ionic командами. Возможно, вы столкнетесь с проблемами разрешения проблемы.

licensed under cc by-sa 3.0 with attribution.